• How do I create a heterogeneous part?

    Good Afternoon,           I know how to create a single part in SolidWorks PCB (2018) but not sure how to create a mutliple part that is contained in a single package. Why I as...
    Lee Havens
    created by Lee Havens
  • The "Kitty Dump" - Watercooler - Trash it Here - Food For Thought - Or Whatever else floats your boat ;)

        How many times do you see a great thread get trashed or hijacked for various reasons and I'll take the "Stand" and say I'm the worst for doing that..  So when I'm acting stupid tell me to trash i...
    John Stoltzfus
    last modified by John Stoltzfus
  • Selected face treated as rigid in solidworks simulation

    I would like to set a particular face in my part to be rigid in the simulation. I am basically doing a tensile stiffness test; I have fixed one end of a part and applied a load to the other end. I want to know the dis...
    Tyler Nichol
    created by Tyler Nichol
  • Hi everyone, sorry, I know it's a dumb question but I'm a total newbie at solidwork.

    I wanted to draw a simple hydrofoil design (in 2d to begin and then if the profile is correct make a better 3d version) from coordinates to export it to ansys a cfd software. As expected something went wrong, it says ...
    Jean Bouzesel
    last modified by Jean Bouzesel
  • Opening New Drawing to Edit Sheet Format

    Hello,   When I create a new drawing from a part the drawing opens with the sheet format in edit mode. Is there a way to default Solidworks to not do that?     Thank you,   Katie
    Katie Clark
    last modified by Katie Clark
  • Press Brake - Air Bending

    I am hoping we have some press brake enthusiasts here. I am a CAD designer who is trying to improve their knowledge of sheet metal forming (mainly air bending on a press brake). The company I work for has recently pur...
    Paul Upton
    last modified by Paul Upton
  • Macro to rename selected parts in assembly

    Hello, I am working on macro which would rename selected parts in assembly. Currently i have this:   Dim swApp As Object Dim swModel As Object Dim swModelDocExt As Object Dim swSelMgr As Object Dim nbrSelect...
    Tomas Pruha
    last modified by Tomas Pruha
  • input formula bug

    Found a bug that cost me half of a day to fix: When using card templates, if an "input formula" driven field is marked read-only, the data won't transfer to the generated file. Solution: Don't mark it read only. Grr.
    Terry Raymond
    last modified by Terry Raymond
  • Automatic Border Not Remembering Layer

    I have been trying to bulk update sheet formats but have noticed strange behaviour with the automatic borders. In my system, by default the automatic borders are set to a level called "ZONES" in document properties a...
    Jonathan Westcott
    last modified by Jonathan Westcott
  • How do I select and delete multiple dangling reference dimensions in a weldment simultaneously?

    I have a large weldment with a variety of reference dimensions for various features. I'm running this part through Drive Works, which deletes all of the features I don't need each time I run the project. After the new...
    Jeremy Zuvich
    last modified by Jeremy Zuvich
  • Anyone else tried 2018 SP2.0EV?

    I just installed it, and I'm going to have to go back to SP1.0, It's seems to have disabled my searching capabilities. When I try to search I get a "Could not access database error. I can browse to the files and acces...
    Eddie Pellegrin
    last modified by Eddie Pellegrin
  • Using volumes in configurations in properties

    I have a model with 2 solid bodies. Below is the structure of my file.   1st. configuration contains union of the of 2 solid bodies 2nd. configuration contains Body 2 3rd. configuration contains Body 1   ...
    Harold Black
    created by Harold Black
  • scanto3d surface wizard crash

    Scanto3D crashes processing a simple STL mesh   Has anyone had Scanto3D crash on running surface wizard on a simple STL Mesh created with mesh wizard ?   How do I fix -
    Braxton Carter
    created by Braxton Carter
  • CAD & PDM Administrator at Smiths Detection, Hemel Hempstead, UK

    We are looking for a SolidWorks CAD & PDM Pro administrator with mechanical engineering experience based at Smiths Detection, Hemel Hempstead, Hertfordshire in the UK. See this link for details and to apply http:...
    Stephen Cooper
    created by Stephen Cooper
  • Select the BOM from active sheet

    I am trying to select the BOM shown on the active sheet, does anyone know how to do this? I currently have code that traverses the tree to select the BOM Feature but I ran into an issue where this won't work because ...
    Alice Caspari
    created by Alice Caspari
  • Part with external reference always requires a rebuild

    Hey,   I have a part made as a skeleton part and for some reason it keeps asking me for a rebuild on one of it's skeletons.   The mate is a coincident with the axes aligned.   I have all the extern...
    Alex Lachance
    last modified by Alex Lachance
  • Import DXF files in Solidworks in an existing sketch

    Hi, I would like to know if it's possible to import a DXF files in Solidworks in an existing sketch (existing part). I was able to import a DXF files in a sketch, but it always create a new part.   thank you an...
    Linh-Chi Nguyen
    last modified by Linh-Chi Nguyen
  • Are BoM's Broken for 2018 3D PDF?

    After upgrading to SW2018, we haven't been able to create 3D PDF files of assembly drawings that include a linked BoM table.  Is anybody else having this problem?    We successfully created a number o...
    William Radigan
    last modified by William Radigan
  • How to make a BOM that shows all configurations of a single part?

    I have a single part file (not an assembly) that I have put into a drawing. This part has 15+ configurations. I want to show all the configurations' part numbers with corresponding material properties in a table (mayb...
    Alex Lichon
    last modified by Alex Lichon
  • running command line command from VBA

    In a VBA macro I wish to run a string as a command line command. Can this be done? How is this done?   Separately, I want to set the read-only state of a file on disk. "SldWorks.IModelDoc2.SetReadOnlyState(True)...
    Chris Pratt
    last modified by Chris Pratt